Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_stdstring.h

Go to the documentation of this file.

    00001 // -*- c++ -*-
    00002 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00003
    00004 //                     O S C L _ S T D S T R I N G
    00005
    00006 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00007
    00024 #ifndef OSCL_STDSTRING_H_INCLUDED
    00025 #define OSCL_STDSTRING_H_INCLUDED
    00026
    00027 #ifndef OSCL_BASE_H_INCLUDED
    00028 #include "oscl_base.h"
    00029 #endif
    00030
    00031
    00040 OSCL_IMPORT_REF uint32 oscl_strlen(const char* str);
    00041
    00050 OSCL_IMPORT_REF uint32 oscl_strlen(const oscl_wchar* str);
    00051
    00069 OSCL_IMPORT_REF char* oscl_strncpy(char* dest, const char* src, uint32 count);
    00070
    00088 OSCL_IMPORT_REF oscl_wchar* oscl_strncpy(oscl_wchar* dest, const oscl_wchar* src, uint32 count);
    00089
    00102 OSCL_IMPORT_REF int32 oscl_strcmp(const char* str1, const char* str2);
    00103
    00116 OSCL_IMPORT_REF int32 oscl_strcmp(const oscl_wchar* str1, const oscl_wchar* str2);
    00117
    00118
    00132 OSCL_IMPORT_REF int32 oscl_strncmp(const char* str1, const char* str2, uint32 count);
    00133
    00147 OSCL_IMPORT_REF int32 oscl_strncmp(const oscl_wchar* str1, const oscl_wchar* str2, uint32 count);
    00148
    00164 OSCL_IMPORT_REF char* oscl_strncat(char* dest, const char* src, uint32 count);
    00165
    00181 OSCL_IMPORT_REF oscl_wchar* oscl_strncat(oscl_wchar* dest, const oscl_wchar* src, uint32 count);
    00182
    00193 OSCL_IMPORT_REF const char* oscl_strchr(const char *str, int32 c);
    00194 OSCL_IMPORT_REF char* oscl_strchr(char *str, int32 c);
    00195
    00206 OSCL_IMPORT_REF const oscl_wchar* oscl_strchr(const oscl_wchar *str, int32 c);
    00207 OSCL_IMPORT_REF oscl_wchar* oscl_strchr(oscl_wchar *str, int32 c);
    00208
    00219 OSCL_IMPORT_REF const char* oscl_strrchr(const char *str, int32 c);
    00220 OSCL_IMPORT_REF char* oscl_strrchr(char *str, int32 c);
    00221 OSCL_IMPORT_REF const oscl_wchar* oscl_strrchr(const oscl_wchar *str, int32 c);
    00222 OSCL_IMPORT_REF oscl_wchar* oscl_strrchr(oscl_wchar *str, int32 c);
    00223
    00233 OSCL_IMPORT_REF char* oscl_strset(char* dest, char val, uint32 count);
    00234
    00244 OSCL_IMPORT_REF oscl_wchar* oscl_strset(oscl_wchar* dest, oscl_wchar val, uint32 count);
    00245
    00246
    00258 OSCL_IMPORT_REF int32 oscl_CIstrcmp(const char *str1, const char *str2);
    00259
    00271 OSCL_IMPORT_REF int32 oscl_CIstrcmp(const oscl_wchar *str1, const oscl_wchar *str2);
    00272
    00287 OSCL_IMPORT_REF int32 oscl_CIstrncmp(const char *str1, const char *str2, uint32 count);
    00288
    00303 OSCL_IMPORT_REF int32 oscl_CIstrncmp(const oscl_wchar *str1, const oscl_wchar *str2, uint32 count);
    00304
    00313 OSCL_IMPORT_REF char oscl_tolower(const char car);
    00314
    00315
    00324 OSCL_IMPORT_REF oscl_wchar oscl_tolower(const oscl_wchar car);
    00325
    00326
    00335 OSCL_IMPORT_REF bool oscl_isLetter(const char car);
    00336
    00337
    00346 OSCL_IMPORT_REF const char* oscl_strstr(const char* str1, const char* str2);
    00347 OSCL_IMPORT_REF char* oscl_strstr(char* str1, const char* str2);
    00348
    00349
    00358 OSCL_IMPORT_REF const oscl_wchar* oscl_strstr(const oscl_wchar* str1, const oscl_wchar* str2);
    00359 OSCL_IMPORT_REF oscl_wchar* oscl_strstr(oscl_wchar* str1, const oscl_wchar* str2);
    00360
    00361
    00376 OSCL_IMPORT_REF char* oscl_strcat(char* dest, const char* src);
    00377
    00378
    00394 OSCL_IMPORT_REF oscl_wchar* oscl_strcat(oscl_wchar* dest, const oscl_wchar* src);
    00395
    00396
    00400 #endif